package client_server;

/**
 * FindBooking processes a request from a web page.  It responds to the
 * request by sending a query to a database, and returning the result.
**/

import java.io.*;
import java.sql.*;


public class FindBooking extends WebRequestProcessor

{
       public void process (Request request, Response response)
       {
               try

               {
                      // Get the title from the html page.
                      String BookingID= request.getParameter ("BookingID");
                

                      // Get a connection to the database.
                      Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");
                      Connection con = DriverManager.getConnection ("jdbc:odbc:DYDestination");

                      // Create a statement and a query.
                      Statement stmt = con.createStatement ();
                      String query = "Select * From Bookings Where BookingID = '" + BookingID + "'"; 

                       // Execute the query and retrieve a ResultSet.
                      ResultSet rs = stmt.executeQuery (query);

                       // Get a PrintWriter object and respond to the request.
                      PrintWriter out = response.getWriter ();
                      Page.createHeader (out, "Booking List");
                 
                       // Display the data in the ResultSet.
                      if (rs.next ())

                      {
	                           	out.println("<p>Client ID: "+ rs.getString ("ClientID"));
								out.println("<br/>Booking ID: "+ rs.getString ("BookingID"));
								out.println("<br/>Trip ID: "+ rs.getInt ("TripID"));
								out.println("<br/>Trip Date: "+ rs.getString ("TripDate"));
								out.println("<br/>People: "+ rs.getInt ("People"));
								out.println("<br/>Client Name: "+ rs.getString ("ClientName"));
								out.println("<br/>Client Name: "+ rs.getString ("Status"));
                      }
                      else
                      {
                             out.println ("<h4>Your reservation is not in the database</h4>");
                      }

                      Page.createFooter (out);
                      con.close (); // Close the connection to the database.
               } catch (SQLException e) {System.out.println ("SQL Exception");}
                 catch (ClassNotFoundException e) {System.out.println ("Driver not found");}               
       } // process
} // FindBooking

		
// Class with static method that add standard lines to the html output page.
class Page
{
	public static void createHeader (PrintWriter out, String title)
	{
		out.println ("<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>");
		out.println ("<html>");
		out.println ("<head>");
		out.println ("<title>" + title + "</title>");
		out.println ("</head>");
		out.println ("<body bgcolor='blue'>");
	} // createHeader
	
	public static void createFooter (PrintWriter out){out.println ("</body></html>");} 
 }// class Page